Preview does not work on non-ascii data input

2016-01-20 14:05 - Anonymous

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.1.3

Description

The following content will break the preview option.

insert content of non-ascii_content.txt here

 When opening the debug console in chrome, I can see the following:

4 jquery-1.11.1-ui-1.11.0-ujs-3.1.3.js:4 Uncaught URIError: URI malformed

39 jquery-1.11.1-ui-1.11.0-ujs-3.1.3.js:4 Uncaught URIError: URI malformede

 @ jquery-1.11.1-ui-1.11.0-ujs-3.1.3.js:4(anonymous function)

 @ jquery-1.11.1-ui-1.11.0-ujs-3.1.3.js:4m.extend.each

 @ jquery-1.11.1-ui-1.11.0-ujs-3.1.3.js:2m.param

 @ jquery-1.11.1-ui-1.11.0-ujs-3.1.3.js:4m.fn.extend.serialize

 @ jquery-1.11.1-ui-1.11.0-ujs-3.1.3.js:4submitPreview

 @ application.js:414onclick

 @ new:320

 Looks dangerous to me when user-content breaks the javascript. Obviously some parsing problems. There is probably some 0x00 in

the content.

History

#1 - 2016-01-20 14:05 - Anonymous

Even creating issues will fail with error code 422.

#2 - 2016-01-20 14:38 - Toshi MARUYAMA

- Category deleted (Issues)

- Priority changed from Normal to Low

I can see preview on IE11 and Firefox ESR 38.

#3 - 2016-01-20 20:40 - Jean-Philippe Lang

No problem with Chrome 47 for previewing or creating the issue.

#4 - 2016-01-21 09:46 - Anonymous

This issue happened with chrome 47.0.2526.111 m and Firefox 43.0.4 on Windows 7 32 bit.

Note: use Notepad++ for opening and copy-pasting the content of non-ascii_content.txt. Other text-editors might omit the non-ascii characters when

opening the file. Eg. Notepad2 (delivered with git for windows) will also reformat the binary data to some ascii values.

#5 - 2016-01-21 09:49 - Anonymous

OK, damn it. I retried with the attached file. Looks like the binary data was converted to some ascii values on saving. Well, that's it, the test-data is

lost.

#6 - 2024-10-22 20:26 - Holger Just

- Status changed from New to Closed

- Resolution set to Cant reproduce
Files

non-ascii_content.txt 3.05 KB 2016-01-20 Anonymous
